/*
 * Display the help screen.  Press any key to continue.  If the ascii_hot
 * string is more than 4 characters wide, this screen will look silly.
 * Maybe one day, this will also contain page-full descriptions of each
 * command.
 */

#include <stdio.h>
#include <curses.h>
#include "misc.h"

void
help_screen(hot, fd)
char *hot;
int fd;
{
	WINDOW *h_win, *newwin();

	h_win = newwin(17, 80, 0, 0);

	mvwattrstr(h_win, 1, 29, A_BOLD, "P C O M M       H E L P\n");
	waddstr(h_win, "-------------------------------------------------------------------------------\n\n");
	wattrstr(h_win, A_BOLD, "        Major Functions         Utility Functions         File Functions\n\n");
	wprintw(h_win, "  Dialing Directory .%4.4s-D  Program Info .....%4.4s-I  Send files ....%4.4s-up\n", hot, hot, hot);
	wprintw(h_win, "  Auto Redial .......%4.4s-R  Setup Screen .....%4.4s-S  Receive files .%4.4s-dn\n", hot, hot, hot);
	wprintw(h_win, "  Keyboard Macros ...%4.4s-M  Change Directory .%4.4s-B  Directory .....%4.4s-F\n", hot, hot, hot);
	wprintw(h_win, "  Line Settings .....%4.4s-P  Clear Screen .....%4.4s-C  Screen Dump ...%4.4s-G\n", hot, hot, hot);
	wprintw(h_win, "  Exit Pcomm ........%4.4s-X  Toggle Duplex ....%4.4s-E  Data Logging ..%4.4s-1\n", hot, hot, hot);
	wprintw(h_win, "  Unix Gateway ......%4.4s-4  Hangup Phone .....%4.4s-H  Toggle Log ....%4.4s-2\n", hot, hot, hot);
	mvwprintw(h_win, 12, 29, "Printer On/Off ...%4.4s-L", hot);
	mvwprintw(h_win, 13, 29, "Toggle CR/CR-LF ..%4.4s-3", hot);
	mvwprintw(h_win, 14, 29, "Break Key ........%4.4s-7", hot);

	box(h_win, '|', '-');
	mvwaddstr(h_win, 16, 27, " Press any key to continue ");
	wmove(h_win, 16, 79);
	wrefresh(h_win);

	wgetch(h_win);
	if (fd == -1) {
		werase(h_win);
		wrefresh(h_win);
	}
	delwin(h_win);
	return;
}
